| http://www.sim.no/ http://www.coin3d.org/

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
SoNodeKit Class Reference
NodeKit Classes

The SoNodeKit class is used to initialize the nodekit classes.The sole function of SoNodeKit is to be just a placeholder for the toplevel initialization code for all nodekit-related classes. More...

`#include <Inventor/nodekits/SoNodeKit.h>`

## Static Public Member Functions

static void | init (void)

## Detailed Description

The SoNodeKit class is used to initialize the nodekit classes.

The sole function of SoNodeKit is to be just a placeholder for the toplevel initialization code for all nodekit-related classes.

See Also
  SoBaseKit

## Member Function Documentation

void SoNodeKit::init | ( | void | ) |  |

static

Initialize the nodekit system.

Note that this method is not called implicitly from SoDB::init(). As a matter of fact, this method calls SoDB::init() itself to make sure all the underlying classes for the nodekits classes have been initialized.

This method is also called from within SoInteraction::init(), as the interaction functionality in Coin depends on the nodekit classes.

The documentation for this class was generated from the following files:

- SoNodeKit.h
- SoNodeKit.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.